## python-evdev 1.6.1+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext ziphtml

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*


html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
	@sed -i $(BUILDDIR)/html/index.html -e 's,<span>Synopsis</span>,<span>Python Bindings</span>,'

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-evdev.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-evdev.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-evdev"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-evdev"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."


# .PHONY: news.rst
# news.rst: changelog.rst
# 	cat $< | grep -FB1 '^^^^^^^^^' \
# 	| sed -e '/^\^/d;/--/d' -e 's,\(.*\)(\(.*\)),* **\2**: Version \1released.\n,' \
# 	> $@

$(BUILDDIR)/html/evdev-doc.zip: html
	cd $(BUILDDIR)/html/ &&  zip -x \*.zip -r evdev-doc.zip .
	@echo `readlink -f $@`

htmlzip: $(BUILDDIR)/html/evdev-doc.zip

## python-evdev 0.4.1

=== debian/changelog ===
python-evdev (0.4.1-0ubuntu3) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Apr 2014 00:00:24 +0100

python-evdev (0.4.1-0ubuntu2) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:32:25 +0000

python-evdev (0.4.1-0ubuntu1) saucy; urgency=low

  * New upstream version. (LP: #1206139)
    - Fix segfault in device_read_many()
    - Fix reference counting in device_read, device_read_many and 
      ioctl_capabilities
    - New enhancements
  * debian/control, debian/copyright:
    - Modified the short package descriptions, changed homepage and Vcs

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 29 Jul 2013 13:03:20 +0200

python-evdev (0.3.3-0ubuntu1) saucy; urgency=low

  * Initial release.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 30 May 2013 13:24:50 +0200

=== debian/control ===
Source: python-evdev
Section: python
Priority: optional
Maintainer: Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>
Build-Depends: debhelper (>= 9),
               python-all-dev,
               python-setuptools,
               python3-all-dev,
               python3-setuptools,
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Homepage: https://pypi.python.org/pypi/evdev/
Vcs-Bzr: lp:~sil2100/python-evdev/ubuntu

Package: python-evdev
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
Description: python bindings for the generic input event interface
 The evdev interface serves the purpose of passing events generated in the
 kernel directly to userspace through character devices that are typically
 located in /dev/input/.
 .
 evdev also comes with bindings to uinput, the userspace input subsystem. 
 Uinput allows userspace programs to create and handle input devices from
 which they can inject events directly into the input subsystem.
 .
 This is the Python 2 version of the package.

Package: python3-evdev
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
Description: python 3 bindings for the generic input event interface
 The evdev interface serves the purpose of passing events generated in the
 kernel directly to userspace through character devices that are typically
 located in /dev/input/.
 .
 evdev also comes with bindings to uinput, the userspace input subsystem. 
 Uinput allows userspace programs to create and handle input devices from
 which they can inject events directly into the input subsystem.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3

build-python%:
	python$* setup.py build

install-python%:
	python$* setup.py install \
		 --install-layout=deb \
		 --root=$(CURDIR)/debian/tmp \
		 --force

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf build
	-rm -rf *.egg-info
	-rm evdev/ecodes.c

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/e/evdev/evdev-(.*)\.tar\.gz

## python-evdev 0.4.7

=== debian/changelog ===
python-evdev (0.4.7-0ubuntu4) xenial; urgency=medium

  * debian/patches/input-event-codes.diff: Cherrypick patch from upstream Git
    to fix import failure with Linux 4.4.0 kernel headers.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 20 Mar 2016 23:17:20 -0500

python-evdev (0.4.7-0ubuntu3) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:43:01 +0000

python-evdev (0.4.7-0ubuntu2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 21:33:50 +0000

python-evdev (0.4.7-0ubuntu1) wily; urgency=medium

  * New upstream release.
  * debian/copyright: Update short name for BSD license.
  * debian/control:
    - Build-depend on dh-python.
    - Fix capitalization of "python" in description synposes.
    - Bump Standards-Version to 3.9.6.
  * debian/rules: Simplify by using pybuild.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 25 May 2015 02:17:51 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
                python-setuptools,
                python3-all-dev,
                python3-setuptools,
-Standards-Version: 3.9.4
+               dh-python
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 Homepage: https://pypi.python.org/pypi/evdev/
@@ -18,7 +19,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends},
-Description: python bindings for the generic input event interface
+Description: Python bindings for the generic input event interface
  The evdev interface serves the purpose of passing events generated in the
  kernel directly to userspace through character devices that are typically
  located in /dev/input/.
@@ -34,7 +35,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-Description: python 3 bindings for the generic input event interface
+Description: Python 3 bindings for the generic input event interface
  The evdev interface serves the purpose of passing events generated in the
  kernel directly to userspace through character devices that are typically
  located in /dev/input/.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = evdev

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/evdev/evdev-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-evdev 0.6.4

=== debian/changelog ===
python-evdev (0.6.4-0ubuntu1) xenial; urgency=medium

  * Deb for 0.6.4

 -- Terry Cain <terry@terrys-home.co.uk>  Fri, 30 Dec 2016 23:10:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-evdev
 Section: python
 Priority: optional
-Maintainer: Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>
+Maintainer: Terry Cain <terry@terrys-home.co.uk>
 Build-Depends: debhelper (>= 9),
                python-all-dev,
                python-setuptools,

## python-evdev 0.7.0%2Bdfsg

=== debian/changelog ===
python-evdev (0.7.0+dfsg-2) unstable; urgency=medium

  * Limit the architecture to linux-any. Closes: #875624.
  * Switch to Python 3 Docutils and Sphinx, build-conflicting on
    python-sphinx to avoid issues with that being picked in preference to
    python3-sphinx.
  * Clean up debian/control with cme.
  * Drop the new-package-should-not-package-python2-module override
    since this is no longer a new package.
  * Standards-Version 4.1.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 Oct 2017 11:49:45 +0200

python-evdev (0.7.0+dfsg-1) unstable; urgency=medium

  * Initial release. Closes: #709988.

 -- Stephen Kitt <skitt@debian.org>  Fri, 01 Sep 2017 13:56:02 +0200

## python-evdev 0.7.0+dfsg

=== debian/control ===
Source: python-evdev
Maintainer: Stephen Kitt <skitt@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python-setuptools,
               python3-setuptools,
               python3-docutils,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python-all-dev,
               python3-all-dev
Build-Conflicts: python-sphinx
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-evdev.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-evdev.git
Homepage: https://github.com/gvalkov/python-evdev
Testsuite: autopkgtest-pkg-python
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-evdev
Architecture: linux-any
Depends: ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: python-evdev-doc
Description: Python bindings for the Linux input subsystem
 This package provides bindings to the generic input event interface
 in Linux. The evdev interface serves the purpose of passing events
 generated in the kernel directly to userspace through character
 devices that are typically located in /dev/input/.
 .
 This package also comes with bindings to uinput, the userspace input
 subsystem. Uinput allows userspace programs to create and handle
 input devices that can inject events directly into the input
 subsystem.
 .
 This package installs the library for Python 2.

Package: python3-evdev
Architecture: linux-any
Depends: ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: python-evdev-doc
Description: Python 3 bindings for the Linux input subsystem
 This package provides bindings to the generic input event interface
 in Linux. The evdev interface serves the purpose of passing events
 generated in the kernel directly to userspace through character
 devices that are typically located in /dev/input/.
 .
 This package also comes with bindings to uinput, the userspace input
 subsystem. Uinput allows userspace programs to create and handle
 input devices that can inject events directly into the input
 subsystem.
 .
 This package installs the library for Python 3.

Package: python-evdev-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Python bindings for the Linux input subsystem (docs)
 This package provides bindings to the generic input event interface
 in Linux. The evdev interface serves the purpose of passing events
 generated in the kernel directly to userspace through character
 devices that are typically located in /dev/input/.
 .
 This package also comes with bindings to uinput, the userspace input
 subsystem. Uinput allows userspace programs to create and handle
 input devices that can inject events directly into the input
 subsystem.
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=evdev

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman docs/ build/man

# By default, changelog.html ends up being compressed
override_dh_compress:
	dh_compress -X.html

## python-evdev 1.0.0+dfsg

=== debian/changelog ===
python-evdev (1.0.0+dfsg-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 06:54:41 +0000

python-evdev (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop X-Python-Version, the minimum versions are satisfied
    everywhere.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 02 Jun 2018 17:38:07 +0200

python-evdev (0.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Don't run sphinx during arch-only builds. Thanks to Helmut Grohne for
    the initial patch! Closes: #895108.
  * Install the examples.
  * Standards-Version 4.1.3, no change required.
  * Migrate to Salsa.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 Apr 2018 15:27:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,22 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python-setuptools,
                python3-setuptools,
                python3-docutils,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
                python-all-dev,
                python3-all-dev
-Build-Conflicts: python-sphinx
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-evdev.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-evdev.git
+Build-Depends-Indep:
+               python3-sphinx,
+               python3-sphinx-rtd-theme
+Build-Conflicts-Indep: python-sphinx
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian/python-evdev
+Vcs-Git: https://salsa.debian.org/debian/python-evdev.git
 Homepage: https://github.com/gvalkov/python-evdev
 Testsuite: autopkgtest-pkg-python
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 
 Package: python-evdev
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=evdev

DH_ADDONS = --with=python2 --with=python3
%:
	dh $@ $(DH_ADDONS) --buildsystem=pybuild
build build-indep binary binary-indep: DH_ADDONS+=--with=sphinxdoc
build-arch binary-arch:

override_dh_auto_build-indep:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman docs/ build/man

# By default, changelog.html ends up being compressed
override_dh_compress:
	dh_compress -X.html

## python-evdev 1.1.2+dfsg

=== debian/changelog ===
python-evdev (1.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Enable tests, skipping those requiring root. Closes: #908988.
  * Ensure that the module is available when the documentation is built,
    so that the API documentation can be included. As a result, the
    documentation is now architecture-dependent. Closes: #908990.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 19 Sep 2018 22:49:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,23 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 11~),
-               dh-python,
+               dh-python (>= 3.20180313~),
                python-setuptools,
                python3-setuptools,
                python3-docutils,
                python-all-dev,
-               python3-all-dev
-Build-Depends-Indep:
+               python3-all-dev,
+               python-pytest,
+               python3-pytest,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Build-Conflicts-Indep: python-sphinx
-Standards-Version: 4.1.4
+Build-Conflicts: python-sphinx
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian/python-evdev
 Vcs-Git: https://salsa.debian.org/debian/python-evdev.git
 Homepage: https://github.com/gvalkov/python-evdev
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-evdev
 Architecture: linux-any
@@ -58,10 +60,11 @@
  This package installs the library for Python 3.
 
 Package: python-evdev-doc
-Architecture: all
+Architecture: linux-any
 Section: doc
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: Python bindings for the Linux input subsystem (docs)
  This package provides bindings to the generic input event interface
  in Linux. The evdev interface serves the purpose of passing events

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=evdev
py3_builddir = $(shell pybuild --print build_dir --interpreter python3)

%:
	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(py3_builddir) http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
	PYTHONPATH=$(py3_builddir) http_proxy='127.0.0.1:9' sphinx-build -N -bman docs/ build/man
endif

# By default, changelog.html ends up being compressed
override_dh_compress:
	dh_compress -X.html

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
   https://github.com/gvalkov/python-evdev/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-evdev 1.2.0+dfsg

=== debian/changelog ===
python-evdev (1.2.0+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Stephen Kitt ]
  * New upstream release.
  * Drop Python 2 support.
  * Fix the project name in debian/watch.
  * Add a couple of spelling fixes identified by Lintian.
  * Document why the docs package is arch-dependent.
  * Switch to debhelper compatibility level 12.
  * Standards-Version 4.4.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 11 Jul 2019 18:32:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,43 +2,21 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python (>= 3.20180313~),
-               python-setuptools,
                python3-setuptools,
                python3-docutils,
-               python-all-dev,
                python3-all-dev,
-               python-pytest,
                python3-pytest,
                python3-sphinx,
                python3-sphinx-rtd-theme
 Build-Conflicts: python-sphinx
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/python-evdev
 Vcs-Git: https://salsa.debian.org/debian/python-evdev.git
 Homepage: https://github.com/gvalkov/python-evdev
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
-
-Package: python-evdev
-Architecture: linux-any
-Depends: ${python:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: python-evdev-doc
-Description: Python bindings for the Linux input subsystem
- This package provides bindings to the generic input event interface
- in Linux. The evdev interface serves the purpose of passing events
- generated in the kernel directly to userspace through character
- devices that are typically located in /dev/input/.
- .
- This package also comes with bindings to uinput, the userspace input
- subsystem. Uinput allows userspace programs to create and handle
- input devices that can inject events directly into the input
- subsystem.
- .
- This package installs the library for Python 2.
 
 Package: python3-evdev
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=evdev
py3_builddir = $(shell pybuild --print build_dir --interpreter python3)

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(py3_builddir) http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html
	PYTHONPATH=$(py3_builddir) http_proxy='127.0.0.1:9' python3 -m sphinx -N -bman docs/ build/man
endif

# By default, changelog.html ends up being compressed
override_dh_compress:
	dh_compress -X.html

## python-evdev 1.3.0+dfsg

=== debian/changelog ===
python-evdev (1.3.0+dfsg-1~mx19+2) mx; urgency=medium

  * Rebuild to include i386 packages.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 17 Feb 2021 09:22:55 -0500

python-evdev (1.3.0+dfsg-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 09 Nov 2020 16:35:48 -0500

python-evdev (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release, merging spelling-fixes.patch.
  * Enable all hardening options.
  * Move the python-evdev manpage to section 7.
  * Standards-Version 4.4.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 16 Jan 2020 18:40:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-evdev
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
@@ -11,7 +12,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme
 Build-Conflicts: python-sphinx
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/python-evdev
 Vcs-Git: https://salsa.debian.org/debian/python-evdev.git
 Homepage: https://github.com/gvalkov/python-evdev

## python-evdev 1.4.0%2Bdfsg

=== debian/changelog ===
python-evdev (1.4.0+dfsg-1build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:53:00 +0000

python-evdev (1.4.0+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:58:22 +0000

python-evdev (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 18 Jan 2021 22:12:42 +0100

python-evdev (1.3.0+dfsg-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Stephen Kitt ]
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 Jan 2021 16:52:47 +0100

## python-evdev 1.4.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: python-evdev
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python (>= 3.20180313~),
                python3-setuptools,
                python3-docutils,
@@ -12,7 +11,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme
 Build-Conflicts: python-sphinx
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/python-evdev
 Vcs-Git: https://salsa.debian.org/debian/python-evdev.git
 Homepage: https://github.com/gvalkov/python-evdev

## python-evdev 1.6.0+dfsg

=== debian/changelog ===
python-evdev (1.6.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-python.

  [ Stephen Kitt ]
  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 15 Aug 2022 11:35:04 +0200

python-evdev (1.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 28 May 2022 13:53:11 +0200

## python-evdev 1.6.1+dfsg

=== debian/changelog ===
python-evdev (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Our patches are Debian-specific, mark them as not needing
    forwarding.

 -- Stephen Kitt <skitt@debian.org>  Tue, 24 Jan 2023 18:15:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python (>= 3.20180313~),
+               dh-python,
                python3-setuptools,
                python3-docutils,
                python3-all-dev,
                python3-pytest,
                python3-sphinx,
+               python3-sphinx-copybutton,
                python3-sphinx-rtd-theme
 Build-Conflicts: python-sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/python-evdev
 Vcs-Git: https://salsa.debian.org/debian/python-evdev.git
 Homepage: https://github.com/gvalkov/python-evdev

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export PYBUILD_NAME=evdev
 py3_builddir = $(shell pybuild --print build_dir --interpreter python3)

## python-evdev 1.7.0+dfsg

=== debian/changelog ===
python-evdev (1.7.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:26:46 +1100

python-evdev (1.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.2, no change required.
  * Drop obsolete build-conflicts on python-sphinx, which was removed in
    Debian 11.

 -- Stephen Kitt <skitt@debian.org>  Wed, 28 Feb 2024 11:53:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: python-evdev
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-setuptools,
                python3-docutils,
                python3-all-dev,
@@ -11,8 +13,7 @@
                python3-sphinx,
                python3-sphinx-copybutton,
                python3-sphinx-rtd-theme
-Build-Conflicts: python-sphinx
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/python-evdev
 Vcs-Git: https://salsa.debian.org/debian/python-evdev.git
 Homepage: https://github.com/gvalkov/python-evdev

## python-evdev 1.7.1+dfsg

=== debian/changelog ===
python-evdev (1.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 11 May 2024 15:25:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-evdev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

## python-evdev 1.8.0

=== debian/changelog ===
python-evdev (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 27 Jan 2025 11:10:50 +0100

## python-evdev 1.9.0

=== debian/changelog ===
python-evdev (1.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 12 Feb 2025 19:01:45 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-sphinx,
                python3-sphinx-copybutton,
                python3-sphinx-rtd-theme
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/python-evdev
 Vcs-Git: https://salsa.debian.org/debian/python-evdev.git
 Homepage: https://github.com/gvalkov/python-evdev

## python-evdev 1.9.1

=== debian/changelog ===
python-evdev (1.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 01 Mar 2025 17:46:15 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-sphinx,
                python3-sphinx-copybutton,
                python3-sphinx-rtd-theme
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/python-evdev
 Vcs-Git: https://salsa.debian.org/debian/python-evdev.git
 Homepage: https://github.com/gvalkov/python-evdev

## python-evdev 1.9.2

=== debian/changelog ===
python-evdev (1.9.2-1) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sun, 21 Sep 2025 18:07:16 +0200

python-evdev (1.9.2-1~exp2) experimental; urgency=medium

  * Only use sphinxdoc for architecture-independent builds.

 -- Stephen Kitt <skitt@debian.org>  Thu, 04 Sep 2025 11:59:14 +0200

python-evdev (1.9.2-1~exp1) experimental; urgency=medium

  * New upstream release, enabling reproducible ecodes generation.
  * Mark the doc package “Architecture: all”, “Multi-Arch: foreign”
    since it doesn’t vary from one architecture to another.
  * Override Lintian’s warning about prerequisites on the ecodes Python
    module; it has no non-Python dependencies.

 -- Stephen Kitt <skitt@debian.org>  Thu, 04 Sep 2025 08:20:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
                python3-setuptools,
                python3-docutils,
                python3-all-dev,
-               python3-pytest,
-               python3-sphinx,
-               python3-sphinx-copybutton,
-               python3-sphinx-rtd-theme
+               python3-pytest
+Build-Depends-Indep: dh-sequence-sphinxdoc,
+                     python3-sphinx,
+                     python3-sphinx-copybutton,
+                     python3-sphinx-rtd-theme
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/python-evdev
 Vcs-Git: https://salsa.debian.org/debian/python-evdev.git
@@ -39,7 +40,8 @@
  This package installs the library for Python 3.
 
 Package: python-evdev-doc
-Architecture: linux-any
+Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME=evdev
py3_builddir = $(shell pybuild --print build_dir --interpreter python3)

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_build-arch:
	dh_auto_build -- --build-args --config-setting=--build-option="'build_ecodes --reproducible'"

override_dh_auto_build-indep:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(py3_builddir) http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html
	PYTHONPATH=$(py3_builddir) http_proxy='127.0.0.1:9' python3 -m sphinx -N -bman docs/ build/man
endif

override_dh_auto_test-indep:

# By default, changelog.html ends up being compressed
override_dh_compress:
	dh_compress -X.html

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-evdev-$1.tar.gz%,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
   https://github.com/gvalkov/python-evdev/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-evdev 1.9.3

=== debian/changelog ===
python-evdev (1.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop “Rules-Requires-Root: no” since it’s now the default.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.
  * Update debian/watch to version 5.

 -- Stephen Kitt <skitt@debian.org>  Sun, 08 Feb 2026 17:24:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: python-evdev
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pybuild-plugin-pyproject,
@@ -13,12 +12,11 @@
                      python3-sphinx,
                      python3-sphinx-copybutton,
                      python3-sphinx-rtd-theme
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/python-evdev
 Vcs-Git: https://salsa.debian.org/debian/python-evdev.git
 Homepage: https://github.com/gvalkov/python-evdev
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-evdev
 Architecture: linux-any

=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: s/\+dfsg\d*$//
Owner: gvalkov
Project: python-evdev
Repacksuffix: +dfsg
